Battery health
Paged battery prediction rows for vehicles in the JWT company.
Overview
Returns paged battery prediction rows for vehicles in the JWT company, with optional search string.Endpoint
POST /api/GetCompanyVehiclesBatteryHealth
Query parameters
1).25).Response
200 OK —PagedListResult<VehicleBatteryPredictionItem>
| Field | Type | Description |
|---|---|---|
| items | array | VehicleBatteryPredictionItem entries |
| totalResults | integer | Total rows |
| lastResultIndex | integer | End index |
| currentPage | integer | Current page |
| numberOfPages | integer | Page count |
| Field | Type | Description |
|---|---|---|
| vehicleId | integer | Legacy vehicle id |
| vehicleName | string | Display name |
| currentVoltage | number | null | Observed voltage |
| predictionResults | array | BatteryPredictionValue label, PredictionConfidence label, predictionForDay |
Error responses
| Status | Meaning |
|---|---|
| 401 | Missing company claim |
Authorizations
JWT Bearer token obtained from POST /api/authentication/token/user or POST /api/authentication/token/api-key.
Lifetime: ~24 hours (86,399 seconds). Cache the token and reuse it. Re-authenticate 5 minutes before expiry.
Scoping:
- User tokens are scoped to a single company.
- API key tokens may restrict access to a vehicle allowlist and/or action set (see token claims).
No refresh endpoint — re-authenticate with your credentials when the token expires.
Headers
Standard and must keep as it is.
Bearer your_token
Query Parameters
Page number
Search string - used to search for vehicle names, IMEI
Number of results per page
Response
Successful response with paged battery prediction data
Pagination metadata returned by list endpoints that support paging.
The current page number (1-based).
1
Total number of pages.
7
Total number of records across all pages.
342
Zero-based index of the last record on the current page.
24
List of vehicle battery prediction items.